package de.intevation.flys.client.client.ui;

import com.smartgwt.client.widgets.layout.HLayout;
import com.smartgwt.client.widgets.events.CloseClickHandler;
import com.smartgwt.client.widgets.events.CloseClickEvent;

import de.intevation.flys.client.shared.model.Artifact;
import de.intevation.flys.client.shared.model.User;

import de.intevation.flys.client.client.event.RedrawRequestHandler;


public abstract class Toolbar extends HLayout {

    protected OutputTab outputTab;


    public Toolbar(OutputTab outputTab) {
        super();

        this.outputTab = outputTab;
    }


    public OutputTab getOutputTab() {
        return outputTab;
    }


    public Artifact getArtifact() {
        return outputTab.getCollectionView().getArtifact();
    }


    public User getUser() {
        return outputTab.getCollectionView().getUser();
    }


    protected void openDatacageWindow(RedrawRequestHandler handler) {
        Artifact artifact = getArtifact();
        User     user     = getUser();

        String outs = getOutputTab().getOutputName();

        final DatacageWindow dc = new DatacageWindow(
            artifact, user, outs, outputTab.getCollectionView());
        dc.addRedrawRequestHandler(handler);
        dc.addCloseClickHandler(new CloseClickHandler() {
            public void onCloseClick(CloseClickEvent event) {
                dc.destroy();
            }
        });
        dc.show();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
